Package jakarta.security.auth.message.config

# Interface AuthConfigProvider

public interface AuthConfigProvider

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClientAuthConfig`
  `getClientAuthConfig(String layer, String appContext, CallbackHandler handler)`
  `ServerAuthConfig`
  `getServerAuthConfig(String layer, String appContext, CallbackHandler handler)`
  `void`
  `refresh()`

- ## Method Details

  - ### getClientAuthConfig

    ClientAuthConfig getClientAuthConfig(String layer, String appContext, CallbackHandler handler) throws AuthException
    Throws:
      `AuthException`

  - ### getServerAuthConfig

    ServerAuthConfig getServerAuthConfig(String layer, String appContext, CallbackHandler handler) throws AuthException
    Throws:
      `AuthException`

  - ### refresh

    void refresh()